// TraceMacroView.h : interface of the CTraceMacroView class
//
// Demo of CIndentedTrace features and macros
// 
// Copyright (C) 2000 Mark Messer - Released to the public domain
// This software is provided "as is" without warranty of any kind. 
// 
// Revision History
// 11/28/00	MM	Initial release
// 
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRACEMEDVIEW_H__465C7F41_BDD2_11D4_A286_000000000000__INCLUDED_)
#define AFX_TRACEMEDVIEW_H__465C7F41_BDD2_11D4_A286_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Importance.h"
#include "VeryImportance.h"

class CTraceMacroView : public CView
{
private:
	IT_EMBEDDED_IT;		// Must come before any member variables.

protected: // create from serialization only
	CTraceMacroView();
	DECLARE_DYNCREATE(CTraceMacroView)

// Attributes
public:
	CTraceMacroDoc* GetDocument();

	CImportance			m_Importance;
	CVeryImportance*	m_pVeryImportance;

// Operations
public:
	void DoSomethingImportant();
	void DoSomethingVeryImportant();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTraceMacroView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTraceMacroView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTraceMacroView)
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TraceMacroView.cpp
inline CTraceMacroDoc* CTraceMacroView::GetDocument()
   { return (CTraceMacroDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRACEMEDVIEW_H__465C7F41_BDD2_11D4_A286_000000000000__INCLUDED_)
