// VeryImportance.cpp: implementation of the CVeryImportance class.
//
// Demo of CIndentedTrace features and macros
// 
// Copyright (C) 2000 Mark Messer - Released to the public domain
// This software is provided "as is" without warranty of any kind. 
// 
// Revision History
// 11/28/00	MM	Initial release
// 
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TraceMacro.h"
#include "VeryImportance.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CVeryImportance::CVeryImportance()
{
	IT_IT( "CVeryImportance::CVeryImportance()" );

	m_bufImportant = new char[BUF_MAX];
	::memset( m_bufImportant, 0, BUF_MAX*sizeof(char) );
	m_I = 0;
}

CVeryImportance::~CVeryImportance()
{
	IT_IT( "CVeryImportance::~CVeryImportance()" );

	delete[] m_bufImportant; 
}

//////////////////////////////////////////////////////////////////////
// Operations
//////////////////////////////////////////////////////////////////////

void CVeryImportance::RecordImportance( int iImportance )
{
	IT_IT( "CVeryImportance::RecordImportance()" );
	
	if (m_I < BUF_MAX)
	{
		m_bufImportant[m_I++] = iImportance;
	}
	else
	{
		IT_COMMENT( "Very Importance buffer full!" );
	}

	IT_COMMENT("New contents of m_bufImportance");
	IT_DUMP_STR16(m_bufImportant, BUF_MAX);
}